summaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorLuke Smith <luke@lukesmith.xyz>2020-12-04 05:53:05 -0500
committerLuke Smith <luke@lukesmith.xyz>2020-12-04 05:53:05 -0500
commit6c358df400f3dad2b1573954a1ee181b84836c9b (patch)
tree5d0667c1dffc00f5ecbd9740995e43622cd5a5d3 /bin
parent04ed87bb3954d6f1065b9781930afb31cb5d7dc0 (diff)
fix #588
Diffstat (limited to 'bin')
-rwxr-xr-xbin/mw4
1 files changed, 2 insertions, 2 deletions
diff --git a/bin/mw b/bin/mw
index c622398..8f24118 100755
--- a/bin/mw
+++ b/bin/mw
@@ -5,7 +5,7 @@ command -V gpg >/dev/null 2>&1 && GPG="gpg" || GPG="gpg2"
[ -r "$PASSWORD_STORE_DIR/.gpg-id" ] &&
"$GPG" --list-secret-keys $(cat "$PASSWORD_STORE_DIR/.gpg-id") >/dev/null 2>&1 || {
printf "\`pass\` must be installed and initialized to encrypt passwords.\\nBe sure it is installed and run \`pass init <yourgpgemail>\`.\\nIf you don't have a GPG public private key pair, run \`%s --full-gen-key\` first.\\n" "$GPG"
- exit
+ exit 1
}
prefix="/usr/local"
@@ -348,7 +348,7 @@ exit 1
;;
esac done
-! command -v mbsync >/dev/null && [ -z "${force+x}" ] && printf "\`mbsync (isync package)\` must be installed to run mutt-wizard.\\n" && exit
+! command -v mbsync >/dev/null && [ -z "${force+x}" ] && printf "\`mbsync (isync package)\` must be installed to run mutt-wizard.\\n" && exit 1
case "$action" in
list) list ;;